<?php 

$site_banner = get_field('site_notification_toggle', 'option');

if($site_banner == 1) {

    $text = get_field('site_notification_text', 'option');
    $link = get_field('site_notification_link', 'option');
    $start_date = get_field('site_notification_date_start', 'option');
    $end_date = get_field('site_notification_date_end', 'option');
    $now = strtotime(date('Y-m-d H:i:s'));
    $start = strtotime($start_date);
    $end = strtotime($end_date);

    if($now >= $start && $now <= $end ) { ?>

    <div class="site-notification-banner container-wrap">
        <div class="container">
        <?php if($text) { ?>
            <span><?php echo $text; ?></span>
        <?php } ?>
        <?php if($link) { ?>
            <a class="btn" href="<?php echo $link; ?>">More Info</a>
        <?php } ?>
        </div>
    </div>

    <?php }
    
} ?>